> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User's Communication Settings

> This endpoint returns a user's communication settings for the specified merchant. The notification key reflects a user's settings for receiving push notifications in their app or via text if they don't have an app installed. The email key reflects a user's settings for receiving emails.

<Info>
  Scopes: `users.read`, `communication_settings.read`
</Info>

### Parameters

<ParamField path="id" type="string" required>
  User ID
</ParamField>

<ParamField query="merchant_id" type="string" required>
  Merchant ID
</ParamField>

### Response

<Snippet file="entities/communication-setting-partner.mdx" />

<RequestExample>
  ```bash Get Communication Settings theme={null}
  curl https://api.thanxsandbox.com/partner/users/:id/communication_settings \
    -X GET \
    -H 'X-ClientId: {client_id}' \
    -H 'Accept-Version: v4.0' \
    -H 'Content-Type: application/json' \
    -H 'Authorization: Bearer {access_token}' \
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "communication_setting": {
      "id": "weori234098",
      "merchant_id": "owierywtwt",
      "merchant_handle": "example-merchant",
      "user_id": "woeruijsfwer",
      "reward_progress": {
        "email": true
      },
      "reward_offer": {
        "notification": true,
        "email": true
      },
      "marketing_general": {
        "email": true,
        "sms":false
      }
    }
  }
  ```
</ResponseExample>
